•  Previous
  • 1
  • 91
  • 92
  • 93(current)
  • 94
  • 95
  • 100
  • Next 
 
Thread Rating:
  • 12 Vote(s) - 4.25 Average
XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu)
Is this a config issue or xbmc bug?

XBMC:
- EDEN / Pre 11.0 - PPA 17 Oct

System:
- Asrock 330 ion
- uname -a: Linux XBMCLive 2.6.32-34-generic #77-Ubuntu SMP Tue Sep 13 19:40:53 UTC 2011 i686 GNU/Linux

Full log file in: http://pastebin.com/YWkWaYnB

--
11:18:16 T:2959059824 NOTICE: ES: Starting UDP Event server on 0.0.0.0:9777
11:18:16 T:2959059824 NOTICE: UDP: Listening on port 9777
11:18:16 T:2948569968 NOTICE: DS: Starting DBUS server in Run Application aka thread
11:18:16 T:11432144 ERROR: JSONRPC Server: Failed to connect to sdpd
11:18:16 T:11432144 NOTICE: starting zeroconf publishing
11:18:17 T:84671344 ERROR: Error Type: <class 'dbus.exceptions.DBusException'>
11:18:17 T:84671344 ERROR: Error Contents: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provide
d by any .service files
11:18:17 T:84671344 ERROR: Traceback (most recent call last):
File "/home/xbmc/.xbmc/addons/service.dbus.notify/default.py", line 22, in <module>
service = xbmcnotify.Service()
File "/home/xbmc/.xbmc/addons/service.dbus.notify/xbmcnotify.py", line 33, in __init__
self.notify = self.bus.get_object("org.freedesktop.Notifications", "/org/freedesktop/Notificat
ions")
File "/usr/lib/pymodules/python2.6/dbus/bus.py", line 244, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 241, in __init__
self._named_service = conn.activate_name_owner(bus_name)
File "/usr/lib/pymodules/python2.6/dbus/bus.py", line 183, in activate_name_owner
self.start_service_by_name(bus_name)
File "/usr/lib/pymodules/python2.6/dbus/bus.py", line 281, in start_service_by_name
'su', (bus_name, flags)))
File "/usr/lib/pymodules/python2.6/dbus/connection.py", line 620, in call_blocking
message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications w
as not provided by any .service files
--
1. XBMC: http://github.com/FlyingRat/xbmc (ffmpeg-head-inc-xbmc-patches)
2. FFmpeg: http://github.com/FlyingRat/FFmpeg (ffmpeg-head-with-xbmc-custom-patches)
3. XBMC-updated-FFmpeg-binaries (just dev snapshots, no regular distros)
Reply
HellFire Wrote:Got it done now.

https://launchpad.net/~nathan-renniewald...bmc-stable


So far only 64bit for natty has been built, 32bit and oneiric will be built in a few hours (there's still a huge build queue).

* Edit: All built. Also will have nightlies for oneiric built. https://launchpad.net/~nathan-renniewald...c-nightly/

Are there any builds for lucid in this PPA? I get this when I try:

Code:
W: Failed to fetch http://ppa.launchpad.net/nathan-renniewaldock/xbmc-nightly/ubuntu/dists/lucid/main/binary-i386/Packages.gz  404  Not Found

so I guess not — but it would be useful for those of us running XBMC Live…

Failing that, does anybody know of a PPA with up-to-date lucid builds? (AudioEngine branch particularly welcome, but that's probably a bit optimistic Big Grin)

Thanks
Reply
the published packages are for Oneiric and Natty.
I feel sorry for people who don't drink. When they wake up in the morning, that's as good as they're going to feel all day.
Frank Sinatra
If I managed to help you in any way, please add to my reputation
.
Reply
Tiny Clanger Wrote:Failing that, does anybody know of a PPA with up-to-date lucid builds? (AudioEngine branch particularly welcome, but that's probably a bit optimistic Big Grin)

Thanks

Here, here and here, but without AE.
Reply
Could someone please explain what this means?

Code:
The following packages have unmet dependencies:
xbmc : Depends: xbmc-bin (>= 2:11.0~git201110201322~59dec96-0~ppa1~oneiric) but 2:11.0~git20111009.6c95a7c-0ubuntu1~ppa1~natty is to be installed
E: Unable to correct problems, you have held broken packages.

Everything was working fine until I updated to Ubuntu 11.10. The repo broke and the only one that would add back in ok for me was the Hellfire one.
Reply
Looks like you have both added still. The official one doesn't have packages for oneiric.
Reply
Natty package working on Oneiric. Just to be sure Natty ppa added on your apt source list.
Reply
HellFire Wrote:Looks like you have both added still. The official one doesn't have packages for oneiric.

It was disabled by the Ubuntu upgrade? I've also removed via the Software Sources. The only xbmc source I can see is yours.
Reply
Since today, the unstable amd64 repository has broken dependency between xbmc and xbmc-bin where xbmc-bin is built on the 21st and the newest xbmc is built on the 20th. Not sure how to resolve this other than just wait it out but I'm surprised nobody on these forums has said anything about it.

Stupid me forced the partial upgrade through and now have a broken install.
Reply
yeah i made the same mistake binaryjay

https://launchpad.net/~team-xbmc/+archive/unstable

the repository seems to show that the newer version of xbmc is created just waiting to build, and has been for 21 hours now, hoping the problem resolves itself as soon as that finishes it's build since i'm also stuck with a broken install until then
Reply
Yeah, build queue is still huge. Right now 14hrs for 64bit and 30hrs for 32bit.. so nightlies are going to be broken until it catches up.
Reply
Stuck in the same situation. Hope it gets resolved soon!
Reply
binaryjay Wrote:Since today, the unstable amd64 repository has broken dependency between xbmc and xbmc-bin where xbmc-bin is built on the 21st and the newest xbmc is built on the 20th. Not sure how to resolve this other than just wait it out but I'm surprised nobody on these forums has said anything about it.

Stupid me forced the partial upgrade through and now have a broken install.
The old packages should be located in /var/cache/apt/archives/ so you should be able to downgrade.
Reply
Version conflict in unstable has been resolved. Thanks for listening to me whine about it.
Reply
binaryjay Wrote:Version conflict in unstable has been resolved. Thanks for listening to me whine about it.
Also sorry to whine about it, but could it be that it is still in the 'xbmc-standalone' package?
Reply
  •  Previous
  • 1
  • 91
  • 92
  • 93(current)
  • 94
  • 95
  • 100
  • Next 



XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu)4.2512